Package org.jboss.resteasy.wadl

## Class ResteasyWadlMethodMetaData

- java.lang.Object
- - org.jboss.resteasy.wadl.ResteasyWadlMethodMetaData

-     public class ResteasyWadlMethodMetaData
      extends Object

  Author:
    Weinan Li

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyWadlMethodMetaData​(ResteasyWadlServiceRegistry serviceRegistry, ResourceMethodInvoker resourceInvoker)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `appendURIFragments​(String... fragments)` |
    `static String` | `appendURIFragments​(ResteasyWadlServiceRegistry registry, javax.ws.rs.Path classPath, javax.ws.rs.Path methodPath)` |
    `List<String>` | `getConsumesMIMETypes()` |
    `String` | `getFunctionName()` |
    `String` | `getFunctionPrefix()` |
    `Collection<String>` | `getHttpMethods()` |
    `Class<?>` | `getKlass()` |
    `String` | `getKlassUri()` |
    `Method` | `getMethod()` |
    `String` | `getMethodUri()` |
    `List<ResteasyWadlMethodParamMetaData>` | `getParameters()` |
    `List<String>` | `getProduces()` |
    `ResourceMethodInvoker` | `getResourceInvoker()` |
    `String` | `getUri()` |
    `protected void` | `processMetaData​(Class<?> type, Annotation[] annotations, boolean useBody)` |
    `void` | `setKlassUri​(String klassUri)` |
    `void` | `setMethodUri​(String methodUri)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyWadlMethodMetaData

          public ResteasyWadlMethodMetaData​(ResteasyWadlServiceRegistry serviceRegistry,
                                            ResourceMethodInvoker resourceInvoker)

  - ### Method Detail

    - #### getMethodUri

          public String getMethodUri()

    - #### setMethodUri

          public void setMethodUri​(String methodUri)

    - #### getKlassUri

          public String getKlassUri()

    - #### setKlassUri

          public void setKlassUri​(String klassUri)

    - #### processMetaData

          protected void processMetaData​(Class<?> type,
                                         Annotation[] annotations,
                                         boolean useBody)

    - #### appendURIFragments

          public static String appendURIFragments​(String... fragments)

    - #### getResourceInvoker

          public ResourceMethodInvoker getResourceInvoker()

    - #### getMethod

          public Method getMethod()

    - #### getKlass

          public Class<?> getKlass()

    - #### getProduces

          public List<String> getProduces()

    - #### getConsumesMIMETypes

          public List<String> getConsumesMIMETypes()

    - #### getUri

          public String getUri()

    - #### getFunctionName

          public String getFunctionName()

    - #### getParameters

          public List<ResteasyWadlMethodParamMetaData> getParameters()

    - #### getHttpMethods

          public Collection<String> getHttpMethods()

    - #### appendURIFragments

          public static String appendURIFragments​(ResteasyWadlServiceRegistry registry,
                                                  javax.ws.rs.Path classPath,
                                                  javax.ws.rs.Path methodPath)

    - #### getFunctionPrefix

          public String getFunctionPrefix()